#include<string>
#include<iostream>
#include "drzewo.h"

using namespace std;

struct drzewo* dodaj(struct drzewo *d,string slowo)
{
	if(!d)
	{
		drzewo *wezel = new drzewo;
		wezel->slowo = slowo;
		wezel->ilosc=1;
		wezel->left=wezel->right=NULL;
		return wezel;
	}
	if(d->slowo == slowo)
	{
		d->ilosc++;
		return d;
	}

	if(d->slowo > slowo) d->left=dodaj(d->left,slowo);
	else d->right=dodaj(d->right,slowo);

	return d;
}

void wyswietl(struct drzewo *d)
{
	if(!d) return ;
	wyswietl(d->left);
	cout.width(15);
	cout.fill('_');
	cout << left <<  d->slowo << "_" ; 
	cout.width(5);
	cout << right  << d->ilosc << endl;
	wyswietl(d->right);

}

void zwolnij(struct drzewo *d)
{
	if(!d) return ;
	zwolnij(d->left);
	zwolnij(d->right);
	delete d;
}
